com.dlsc.flexgantt.model.gantt

## Interface ISpreadsheetValuesList

- All Known Implementing Classes:
    SpreadsheetValuesList

      public interface ISpreadsheetValuesList

  A data structure used to store references between time spans and objects. This list comes in very handy in combination with spreadsheets. The application can set and retrieve objects based on a time span. If an object is associated with a certain time span and another object gets associated with a time span that is contained within the first time span, then the list will be splitted (fragmented). Fragmentation only happens when new values are added to the list, not when they are retrieved.
  Since:
    2.1
  Author:
    Dirk Lemmermann

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSize()` Returns the total number of fragments (time span to object associations).
    `Object` | `getValue(ITimeSpan span)` Returns the value for the given time span.
    `void` | `setValue(Object value, ITimeSpan span)` Sets an object as a value for the given time span.

- - ### Method Detail

    - #### setValue

          void setValue(Object value,
                        ITimeSpan span)

      Sets an object as a value for the given time span.
      Parameters:
        `value` - the new value
        `span` - the time span
      Since:
        2.1
      See Also:
        `getValue(ITimeSpan)`

    - #### getValue

          Object getValue(ITimeSpan span)

      Returns the value for the given time span. The list will return the first object if several objects are associated with the given span.
      Parameters:
        `span` -
      Returns:
        the value object for the given time span
      Since:
        2.1
      See Also:
        `setValue(Object, ITimeSpan)`

    - #### getSize

          int getSize()

      Returns the total number of fragments (time span to object associations).
      Returns:
        the fragmentation count
      Since:
        2.1

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.